/*--------------------------------------------------------------------------*/
/*                   Mandelmania - ARexx - Script - File                    */
/*--------------------------------------------------------------------------*/

/* This script was sent to me by David Andrew Clayton    */

address 'rexx_mandelmania'
options results

signal on ERROR 
signal on BREAK_C 
signal on BREAK_D

pic      = 0

'getanimfilename'
animname = result

if result = 'RESULT' then do
	exit 0
	end

'openanim' animname'.anim' 

say 'Calculating' animname
say 'Start time'
address command 'date'

/*--------------------------------------------------------------------------*/

left1   = '-1.747220808820072'
right1  = '-1.747020220165124'
bottom1 = '0.0039443936'
top1    = '0.0041173664'
xc1     = '0'
yc1     = '0'
iter1   = 250
type    = 0

/*--------------------------------------------------------------------------*/

left2   = '-2.5'
right2  = '1.5'
bottom2 = '-1.75'
top2    = '1.75'
xc2     = '0'
yc2     = '0'
iter2   = 250

steps   = 250

do i=pic to pic+steps-1 
	say 'interpolate' i-pic steps
	'interpolate' i-pic steps-1 left1 right1 bottom1 top1 xc1 yc1 iter1 left2 right2 bottom2 top2 xc2 yc2 iter2 type 
	'saveanim' 
	if i <= 1 then do 
		'savefractal' animname'.'i 
		end 
	end 

left1   = left2;
right1  = right2;
bottom1 = bottom2;
top1    = top2;
xc1     = xc2;
yc1     = yc2;
iter1   = iter2;

pic = pic+steps

/*--------------------------------------------------------------------------*/

ERROR:
BREAK_C:
BREAK_D:
if (RC ~= 0) then do
	say ' 'SIGL '*-*' SOURCELINE(SIGL)
	say 'Error' RC
	end

'openfractal' animname'.0'	/* For looped animations */
'saveanim'
'openfractal' animname'.1'
'saveanim'

'closeanim'

address command 'delete' animname'.0 QUIET'
address command 'delete' animname'.1 QUIET'

say 'End time'
address command 'date'

exit 0

